## fwts 0.26.05

=== Makefile ===
obj-m += efi_runtime.o
all:
	make -C /lib/modules/`uname -r`/build M=`pwd` modules

clean:
	make -C /lib/modules/`uname -r`/build M=`pwd` clean

## fwts 0.18.04

=== debian/changelog ===
fwts (0.18.04) maverick; urgency=low
 
  * fix build issues with bad cpufreq fix
  * New upstream version 0.18.04

 -- Colin King <colin.king@canonical.com>  Wed, 15 Sep 2010 10:41:34 +0100

fwts (0.18.03) maverick; urgency=low
 
  * Log correct CPU number when NX text finds a failure (LP: #638783)
  * cpufreq: fix typo, Harware to Hardware
  * New upstream version 0.18.03

 -- Colin King <colin.king@canonical.com>  Wed, 15 Sep 2010 10:19:23 +0100
 

fwts (0.18.02) maverick; urgency=low
 
  * FADT test read correct ACPI table from /sys/firmware (LP: #627959)
  * New upstream version 0.18.02

 -- Colin King <colin.king@canonical.com>  Wed, 1 Sep 2010 11:11:20 +0100
 

fwts (0.18.01) maverick; urgency=low
 
  * New upstream version 0.18.01
 
 -- Colin King <colin.king@canonical.com>  Fri, 13 Aug 2010 10:04:54 +0100
 

fwts (0.18.0) maverick; urgency=low
 
  * New upstream version 0.18.0
 
 -- Colin King <colin.king@canonical.com>  Thu, 12 Aug 2010 19:09:19 +0100
 

fwts (0.17.9.1) maverick; urgency=low
 
  * New upstream version 0.17.9.1
 
 -- Colin King <colin.king@canonical.com>  Thu, 12 Aug 2010 19:01:49 +0100
 

fwts (0.17.9) maverick; urgency=low
 
  * New upstream version 0.17.9
 
 -- Colin King <colin.king@canonical.com>  Sat, 7 Aug 2010 20:17:31 +0100
 

fwts (0.17.8) maverick; urgency=low
 
  * New upstream version 0.17.8
 
 -- Colin King <colin.king@canonical.com>  Sat, 7 Aug 2010 19:08:56 +0100
 

fwts (0.17.7) maverick; urgency=low
 
  * New upstream version 0.17.7
 
 -- Colin King <colin.king@canonical.com>  Sat, 7 Aug 2010 18:59:59 +0100
 

fwts (0.17.6) maverick; urgency=low
 
  * New upstream version 0.17.6
 
 -- Colin King <colin.king@canonical.com>  Sat, 7 Aug 2010 18:14:48 +0100
 

fwts (0.17.5) maverick; urgency=low
 
  * New upstream version 0.17.5
 
 -- Colin King <colin.king@canonical.com>  Fri, 6 Aug 2010 09:14:45 +0100
 

fwts (0.17.4) maverick; urgency=low
 
  * New upstream version 0.17.4
 
 -- Colin King <colin.king@canonical.com>  Tue, 3 Aug 2010 15:36:02 +0100
 

fwts (0.17.3) maverick; urgency=low
 
  * New upstream version 0.17.3
 
 -- Colin King <colin.king@canonical.com>  Fri, 30 Jul 2010 08:54:12 +0100
 

fwts (0.17.2) maverick; urgency=low
 
  * New upstream version 0.17.2
 
 -- Colin King <colin.king@canonical.com>  Wed, 28 Jul 2010 12:20:07 +0100
 

fwts (0.17.1) maverick; urgency=low
 
  * New upstream version 0.17.1
 
 -- Colin King <colin.king@canonical.com>  Tue, 27 Jul 2010 17:57:01 +0100
 

fwts (0.17.0) maverick; urgency=low
 
  * New upstream version 0.17.0
 
 -- Colin King <colin.king@canonical.com>  Fri, 23 Jul 2010 16:32:58 +0200
 

fwts (0.16.14) maverick; urgency=low
 
  * New upstream version 0.16.14
 
 -- Colin King <colin.king@canonical.com>  Fri, 23 Jul 2010 10:56:53 +0200
 

fwts (0.16.13) maverick; urgency=low
 
  * New upstream version 0.16.13
 
 -- Colin King <colin.king@canonical.com>  Fri, 23 Jul 2010 10:40:40 +0200
 

fwts (0.16.12) maverick; urgency=low
 
  * New upstream version 0.16.12
 
 -- Colin King <colin.king@canonical.com>  Thu, 22 Jul 2010 15:49:14 +0100
 

fwts (0.16.11) maverick; urgency=low
 
  * New upstream version 0.16.11
 
 -- Colin King <colin.king@canonical.com>  Wed, 21 Jul 2010 10:54:20 +0200
 

fwts (0.16.10) maverick; urgency=low
 
  * New upstream version 0.16.10
 
 -- Colin King <colin.king@canonical.com>  Mon, 19 Jul 2010 14:11:26 +0100
 

fwts (0.16.09) maverick; urgency=low
 
  * New upstream version 0.16.09
 
 -- Colin King <colin.king@canonical.com>  Sat, 17 Jul 2010 14:55:38 +0100
 

fwts (0.16.08) maverick; urgency=low
 
  * New upstream version 0.16.08
 
 -- Colin King <colin.king@canonical.com>  Fri, 16 Jul 2010 11:22:17 +0100
 

fwts (0.16.07) maverick; urgency=low
 
  * New upstream version 0.16.07
 
 -- Colin King <colin.king@canonical.com>  Thu, 15 Jul 2010 15:25:44 +0100
 

fwts (0.16.06) maverick; urgency=low
 
  * New upstream version 0.16.06
 
 -- Colin King <colin.king@canonical.com>  Thu, 15 Jul 2010 10:07:43 +0100
 

fwts (0.16.05) maverick; urgency=low
 
  * New upstream version 0.16.05
 
 -- Colin King <colin.king@canonical.com>  Mon, 12 Jul 2010 10:22:40 +0100
 

fwts (0.16.04) maverick; urgency=low
 
  * New upstream version 0.16.04
 
 -- Colin King <colin.king@canonical.com>  Sat, 10 Jul 2010 19:22:54 +0100
 

fwts (0.16.03) maverick; urgency=low
 
  * New upstream version 0.16.03
 
 -- Colin King <colin.king@canonical.com>  Fri, 9 Jul 2010 18:41:53 +0100
 

fwts (0.16.02) maverick; urgency=low
 
  * New upstream version 0.16.02
 
 -- Colin King <colin.king@canonical.com>  Thu, 8 Jul 2010 19:29:36 +0100
 

fwts (0.16.01) maverick; urgency=low
 
  * New upstream version 0.16.01
 
 -- Colin King <colin.king@canonical.com>  Thu, 8 Jul 2010 13:59:51 +0100
 

fwts (0.16.0) maverick; urgency=low
 
  * New upstream version 0.16.0
 
 -- Colin King <colin.king@canonical.com>  Thu, 8 Jul 2010 10:49:04 +0100
 

fwts (0.15.9) maverick; urgency=low
 
  * New upstream version 0.15.9
 
 -- Colin King <colin.king@canonical.com>  Thu, 8 Jul 2010 09:25:17 +0100
 

fwts (0.15.8) maverick; urgency=low
 
  * New upstream version 0.15.8
 
 -- Colin King <colin.king@canonical.com>  Wed, 7 Jul 2010 20:00:03 +0100
 

fwts (0.15.7) maverick; urgency=low
 
  * New upstream version 0.15.7
 
 -- Colin King <colin.king@canonical.com>  Tue, 6 Jul 2010 19:50:01 +0100
 

fwts (0.15.6) maverick; urgency=low
 
  * New upstream version 0.15.6
 
 -- Colin King <colin.king@canonical.com>  Tue, 6 Jul 2010 10:13:06 +0100
 

fwts (0.15.5) maverick; urgency=low
 
  * New upstream version 0.15.5
 
 -- Colin King <colin.king@canonical.com>  Mon, 5 Jul 2010 18:23:47 +0100
 

fwts (0.15.4) maverick; urgency=low
 
  * New upstream version 0.15.4
 
 -- Colin King <colin.king@canonical.com>  Mon, 5 Jul 2010 17:05:00 +0100
 

fwts (0.15.3) maverick; urgency=low
 
  * New upstream version 0.15.3
 
 -- Colin King <colin.king@canonical.com>  Mon, 5 Jul 2010 12:22:25 +0100
 

fwts (0.15.2) maverick; urgency=low
 


=== debian/control ===
Source: fwts
Section: devel
Priority: optional
Maintainer: Colin King <colin.king@ubuntu.com>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7), libpcre3-dev (>= 7.8)

Package: fwts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils, iasl, pciutils, dmidecode
Description: FirmWare Test Suite
 This is a firmware test suite that performs sanity checks on Intel/AMD 
 PC firmware. It is intended to identify BIOS and ACPI errors and 
 if appropriate it will try to explain the errors and give advice to 
 help workaround or fix firmware bugs.  It is primarily intended to 
 be a Linux-centric firmware troubleshooting tool.

## fwts 0.22.13

=== debian/changelog ===
fwts (0.22.13) natty; urgency=low

  * fix minor typos and error messages (LP: #751248)
  * debian: control: fix typos
  * acpi: method: fix typo in THERM check.
  * acpi: method: fix false alert with THERM check.
  * acpi: wmi: fix guidstr: should be all in uppercase.

 -- Colin King <colin.king@canonical.com>  Thu, 5 Apr 2011 12:44:07 +0100

fwts (0.22.12) natty; urgency=low

  * lib: fwts_cpu_enumerate: use sysconf instead of /proc/acpi (LP: #746428)

 -- Colin King <colin.king@canonical.com>  Thu, 31 Mar 2011 14:27:43 +0100

fwts (0.22.11) natty; urgency=low

  * acpi: method: fix incorrect semaphore counts (LP: #744405)
  * method: rename *execute* -> *evaluate*

 -- Colin King <colin.king@canonical.com>  Thu, 31 Mar 2011 12:17:12 +0100

fwts (0.22.10) natty; urgency=low

  * disable debug when hitting AML_BREAK_POINT opcodes (LP: #741555)

 -- Colin King <colin.king@canonical.com>  Thu, 24 Mar 2011 09:47:23 +0000

fwts (0.22.09) natty; urgency=low

  * work around systems that don't support MAP32_BIT (LP: #739256)

 -- Colin King <colin.king@canonical.com>  Mon, 21 Mar 2011 09:57:00 +0000

fwts (0.22.08) natty; urgency=low

  * fix segfault of method test on 64 bit machines (LP: #736874)

 -- Colin King <colin.king@canonical.com>  Thu, 17 Mar 2011 14:13:12 +0000

fwts (0.22.07) natty; urgency=low

  * drop thermal_trip test (LP: #730132)
  * method test: reference /sys/class/thermal/thermal_zone

 -- Colin King <colin.king@canonical.com>  Sun, 6 Mar 2011 13:51:10 +0000

fwts (0.22.06) natty; urgency=low

  * acpi: cstates: fix progress calculation, tidy up code.

 -- Colin King <colin.king@canonical.com>  Fri, 4 Mar 2011 10:37:00 +0000

fwts (0.22.05) natty; urgency=low
  
  * Fix cstates test (LP: #728685)
  * acpi: acpidump: use more sensible heading, fix SCI text
  * hpet: Fail test and skip sanity check when base address not found
  * bios: ebda_region: close fd on error

 -- Colin King <colin.king@canonical.com>  Thu, 3 Mar 2011 20:42:02 +0000

fwts (0.22.04) natty; urgency=low

  * acpi: acpidump: use more sensible heading, fix SCI text
  * hpet: Fail test and skip sanity check when base address not found
  * bios: ebda_region: close fd on error.

 -- Colin King <colin.king@canonical.com>  Thu, 3 Mar 2011 09:37:39 +0000

fwts (0.22.03) natty; urgency=low

  * Fixes for lintian warnings (LP: #725336)
  * fix build order (acpica/source/compiler must build first)

 -- Colin King <colin.king@canonical.com>  Fri, 25 Feb 2011 23:15:01 +0000

fwts (0.22.02) natty; urgency=low

  * clean up libtool linker usage.
  * fix build order (acpica/source/compiler must build first).
  * remove redundant 2nd pciutils from control file.
  * lib: virt: rename exec_cpuid to fwts_exec_cpuid
  * lib: acpid: rename event funcs with fwts_ prrefix
  * configure.ac: remove AC_PROG_OBJCOPY
  * debian: control: add more description to libraries.
  * acpi: acpidump: fix typo 'suppored' -> 'supported'.
  * doc: fwts man page: fix - to \-

 -- Colin King <colin.king@canonical.com>  Fri, 25 Feb 2011 16:36:23 +0000

fwts (0.22.01) natty; urgency=low

  * Fixes for minor bugs (LP: #723746)
  * bios: mtrr: fix: disable MTRR VGA test as it is not helpful.
  * doc: fix fwts man page, remove duplicated -s options.
  * acpi: s3: fix typo.
  * acpi: method: comments on what needs testing.
  * bios: mtrr: fix to stop valgrind complaining.
  * lib: fwts_summary: fix summary fields to fit in 80 columns.

 -- Colin King <colin.king@canonical.com>  Wed, 23 Feb 2011 14:37:00 +0000

fwts (0.22.00) natty; urgency=low

  * New version for Natty release (LP: #720271)
  * New upstream version 0.22.00

 -- Colin King <colin.king@canonical.com>  Wed, 16 Feb 2011 18:47:59 +0000

fwts (0.21.15) natty; urgency=low

  * summary: collate summary items for a more compact summary.
  * klog: add better progress feedback when scanning large logs.
  * args: fix optind offset bug.
  * klog: add _BCM execution failure check.
  * klog: add more intelligence to FADT checking.
  * New upstream version 0.21.15

 -- Colin King <colin.king@canonical.com>  Wed, 16 Feb 2011 16:20:00 +0000

fwts (0.21.14) natty; urgency=low

  * acpi: s3,s4: break up pass/fail message summary.
  * New upstream version 0.21.14

 -- Colin King <colin.king@canonical.com>  Tue, 15 Feb 2011 19:50:04 +0000

fwts (0.21.13) natty; urgency=low

  * Print informational count when non-zero
  * tidy up progress output.
  * change results text "informational" to "info only".
  * cpu microcode test: remove need to alloc/free cpu list.
  * bios mtrr test: check for list_new NULL return.
  * arg handling: remove need for alloc/free of options_list
  * sort tests on name when dumping list of available tests.
  * New upstream version 0.21.13

 -- Colin King <colin.king@canonical.com>  Sat, 12 Feb 2011 18:38:20 +0000

fwts (0.21.12) natty; urgency=low

  * Print informational count when non-zero
  * New upstream version 0.21.12

 -- Colin King <colin.king@canonical.com>  Fri, 11 Feb 2011 23:29:00 +0000

fwts (0.21.11) natty; urgency=low

  * Fix skipped message truncation
  * Make static libs into shared libs
  * New upstream version 0.21.11

 -- Colin King <colin.king@canonical.com>  Fri, 11 Feb 2011 22:49:40 +0000

fwts (0.21.10) natty; urgency=low

  * Extend progress feedback.
  * New upstream version 0.21.10

 -- Colin King <colin.king@canonical.com>  Thu, 10 Feb 2011 18:33:39 +0000

fwts (0.21.09) natty; urgency=low

  * Add more feedback during s3, s4 tests.
  * Add better arg checking post arg parsing.
  * Fix a bunch of typos in s3, s4 help.
  * New upstream version 0.21.09

 -- Colin King <colin.king@canonical.com>  Thu, 10 Feb 2011 15:13:22 +0000

fwts (0.21.08) natty; urgency=low

  * Ensure all tests log a passed/failed/skipped/aborted/infoonly state (LP: #715755)
  * Add --s3-device-check-delay option
  * Add --s4-device-check-delay option
  * New upstream version 0.21.08

 -- Colin King <colin.king@canonical.com>  Wed, 9 Feb 2011 15:08:20 +0000



## fwts 0.22.14

=== debian/changelog ===
fwts (0.22.14) natty-proposed; urgency=low

  * lib: fwts_iasl: fix segfault on bad input: (LP: #781709)
  * lib: fwts_cpu: call _exit() on signal

 -- Colin King <colin.king@canonical.com>  Thu, 12 May 2011 16:38:31 +0200

## fwts 0.23.25

=== debian/changelog ===
fwts (0.23.25) oneiric; urgency=low

  * acpi: checksum: output correct checksum value (LP: #869018)
  * framework: -T option should be -t, (LP: #868226)

 -- Colin King <colin.king@canonical.com>  Thu, 6 Oct 2011 15:11:00 +0100

fwts (0.23.24) oneiric; urgency=low

  * acpi: method: relax _BIF, _BIX tests.
  * acpi: method: Check _BST charging + discharging more thoroughly (LP: #862153)
  * acpi: acpitables: fix spurious advice infomation (LP: #862170)
  * pci: maxreadreq: add more helpful advice (LP: #859651)

 -- Colin King <colin.king@canonical.com>  Thu, 29 Sep 2011 11:07:12 +0100

fwts (0.23.23) oneiric; urgency=low

  * cmos: cmosdump: fix floppy disk info
  * cmos: cmosdump: fix register 0x0b dump (LP: #837969)

 -- Colin King <colin.king@canonical.com>  Wed, 31 Aug 2011 17:07:34 +0100

fwts (0.23.22) oneiric; urgency=low

  * declare various private variables and functions static (LP: #837215)
  * bios: multiproc: make mpdump_get_apic_id static
  * bios: multiproc: remove redundant mpcheck_get_apic_id()
  * cpu: virt: make cpu_has_vmx static
  * acpi: lid: make lid_*() static
  * acpi: ac_adapter: make ac_adapter_check_field static
  * acpi: powerbutton: make power_button_check_field static
  * acpi: brightness: make *_setting static
  * cpu: virt: make cpu_has_svm, vt_locked_by_bios static
  * lib: framework: make init funcs static
  * acpi: wmi: make wmi_wdg_flags_to_text() static
  * bios: mtrr: rename fwts_virt_cpuinfo to fwts_cpuinfo
  * acpi: acpidump: make table_vec static
  * cpu: msr: make cpuinfo static
  * acpi: ac_adapter: make ac_adapterdir static
  * acpi: lid: make liddir static
  * acpi: powerbutton: make power_buttondir static
  * bios: mtrr: remove redundant mtrr_resource
  * acpi: acpidump: fix typo 'Sealed Case'
  * cpu: msr: drop TSC_AUX and SMBASE tests (LP: #834591)

 -- Colin King <colin.king@canonical.com>  Tue, 30 Aug 2011 09:18:53 +0100

fwts (0.23.21) oneiric; urgency=low

  * acpi: acpitables: remove false positive warnings (LP: #833644)
  * acpi: method: don't run mobile platform tests on servers (LP: #834554)
  * bios: mpcheck: check uniqueness of CPU APIC IDs (LP: #834504)
  * acpi: cstates: drop experimental status of the test.

 -- Colin King <colin.king@canonical.com>  Fri, 26 Aug 2011 11:05:19 +0100

fwts (0.23.20) oneiric; urgency=low

  * hpet: hpet_check: get HPET base on newer kernel logs (LP: #832273)

 -- Colin King <colin.king@canonical.com>  Tue, 23 Aug 2011 19:56:23 +0100

fwts (0.23.19) oneiric; urgency=low

  * apci: fan: use newer thermal interface, test fans on loaded CPU (LP: #831905)

 -- Colin King <colin.king@canonical.com>  Tue, 23 Aug 2011 12:12:12 +0100

fwts (0.23.18) oneiric; urgency=low

  * lib: acpica: ensure table pointers are NULL when table input is corrupt (LP: #826774)

 -- Colin King <colin.king@canonical.com>  Mon, 15 Aug 2011 15:33:30 +0100

fwts (0.23.17) oneiric; urgency=low

  * acpi: method: tidy up source.
  * acpi: acpitables: tidy up source.
  * acpi: wmi: tidy up source.
  * acpi: wakealarm: tidy up source.
  * acpi: syntaxcheck: tidy up source.
  * acpi: s4: tidy up source.
  * acpi: s3power: tidy up source.
  * acpi: s3: tidy up source.
  * acpi: powerbutton: tidy up source.
  * acpi: osilinux: tidy up source.
  * acpi: mcfg: tidy up source.
  * acpi: lid: fix failure format string (LP: #826676)
  * acpi: klog: tidy up source.
  * acpi: fan: tidy up source.
  * acpi: fadt: tidy up source.
  * acpi: dmar: tidy up source.
  * acpi: cstates: tidy up source.
  * acpi: common: tidy up source.
  * acpi: checksum: tidy up source.
  * acpi: battery: tidy up source.
  * acpi: apicinstance: tidy up source.
  * acpi: acpiinfo: tidy up source.
  * acpi: ac_adapter: tidy up source.

 -- Colin King <colin.king@canonical.com>  Mon, 15 Aug 2011 12:11:12 +0100

fwts (0.23.16) oneiric; urgency=low

  * cpu: virt: tidy up sources.
  * cpu: nx: tidy up source.
  * cpu: msr: tidy up source.
  * cpu: microcode: tidy up source.
  * cpu: maxfreq: tidy up source.
  * cpu: cpufreq: tidy up source.
  * hotkey: hotkey: tidy up source.
  * dmi: dmi_decode: fix failure format string (LP: #826418)
  * kernel: version: tidy up source.
  * kernel: oops: tidy up source.
  * cmos: cmosdump: tidy up source.
  * apic: apicedge: tidy up source.
  * pci: maxreadreq: tidy up source.
  * pci: crs: tidy up source.

 -- Colin King <colin.king@canonical.com>  Sun, 14 Aug 2011 21:04:00 +0100

fwts (0.23.15) oneiric; urgency=low

  * lib: fwts_framework: helper macros: use fmt arg
  * bios: os2gap: add more failure info.
  * bios: smbios: tidy up source.
  * bios: romdump: tidy up source.
  * bios: os2gap: fix failure format string (LP: #825945)
  * bios: mtrr: tidy up source.
  * bios: memmapdump: tidy up source.
  * bios: hdaaudio: tidy up source.
  * bios: ebda_region: tidy up source.
  * bios: ebdadump: tidy up source.
  * bios: bios_info: tidy up source.
  * bios: bios32: tidy up source.
  * bios: mpcheck: tidy up source.

 -- Colin King <colin.king@canonical.com>  Sat, 13 Aug 2011 21:33:00 +0100

fwts (0.23.14) oneiric; urgency=low

  * lib: fwts_acpi_tables: make acpidump parsing more resiliant to bad data.
  * lib: fwts_acpi_tables: read in data correctly (LP: #818042)
  * acpi: checksum: handle RSDP.
  * lib: fwts_acpi_tables.h: add fwts_acpi_checksum
  * lib: fwts_acpi_tables: name RSD PTR to RSDP.
  * lib: fwts_acpi_tables: handle ACPI 1.0 sized RSDP
  * lib: fwts_acpi: rsdp requires a 64 bit xsdt
  * acpi: syntaxcheck: log errors as per-test failures and include unique error code in error.
  * acpi: acpitables: add more advice, deprecate FACS test, it was nonsense.

 -- Colin King <colin.king@canonical.com>  Fri, 29 Jul 2011 17:28:00 +0100

fwts (0.23.13) oneiric; urgency=low

  * lib + method test: better handling of object eval errors. (LP: #816877)
  * apci: method: detect zero sized access bit width (LP: #816877)
  * acpi: method: check for NULL _DDC and _UID object returns.


=== debian/control ===
Source: fwts
Section: devel
Priority: optional
Maintainer: Colin King <colin.king@ubuntu.com>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7), libpcre3-dev (>= 7.8), libjson0-dev (>= 0.9), flex, bison

Package: fwts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils, dmidecode
Description: FirmWare Test Suite
 This is a firmware test suite that performs sanity checks on Intel/AMD 
 PC firmware. It is intended to identify BIOS and ACPI errors and 
 if appropriate it will try to explain the errors and give advice to 
 help workaround or fix firmware bugs.  It is primarily intended to 
 be a Linux-centric firmware troubleshooting tool.

Package: libfwtsiasl1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FirmWare Test Suite ACPICA core built for iasl functionality
 The firmware test suite requires the ACPICA core engine to be built in
 compiler mode (with ACPI_ASL_COMPILER enabled) to support assembly and 
 disassembly of ACPI Machine Language (AML) in the ACPI DSDT and SSDTs.
 This library contains this code with a thin fwts specific API to 
 interface with fwts.

Package: libfwtsacpica1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FirmWare Test Suite ACPICA core built for acpiexec functionality
 The firmware test suite requires the ACPICA core engine to be built in
 execution mode (with ACPI_EXEC_APP enabled) to support run time execution
 of ACPI Machine Language (AML) in the ACPI DSDT and SSDTs. This library
 contains this code with a thin fwts specific API to interface with fwts.

Package: libfwts1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FirmWare Test Suite core support library
 This is the fwts core library. It contains a top level test framework
 and a rich range of firmware specific testing support code for the 
 various fwts tests.

## fwts 0.24.21

=== debian/changelog ===
fwts (0.24.21) precise; urgency=low

  [Alex Hung]
  * pcie: add pcie aspm registers check on root port and device.

  [Chris Van Hoof]
  * fwts-frontend: v2 update to conditional logic to better detect
    if we're booted via casper and additional logic to toggle auto
    shutdown behaviour when testing

  [Colin Ian King]
  * uefi: uefidump: handle realloc failure
  * lib: fwts_pipeio: handle realloc failure 
  * lib: fwts_args: handle realloc failure
  * lib: acpid: handle realloc failures in fwts_acpi_event_read()
  * lib: fwts_acpi_tables: handle fwts_low_realloc() failures
  * acpica: handle realloc failures in fwts_acpica_vprintf()
  * lib: fwts_klog: remove redundant free()
  * acpi: checksum: flag up errors that are critical, add more helpful advice
  * acpi: checksum: fix typo shorted -> shortened
  * acpi: checksum: reformat lines to fit into 80 columns
  * acpi: wmi: use snprintf to be safe
  * acpi: wmi: const func args
  * acpi: wmi: reformat source into 80 columns
  * acpi: dmar: make seg a uint16_t rather than an int
  * acpi: dmar: make func args const
  * acpi: acpiinfo: tidy up source
  * bios: hdaaudio: ensure source fits into 80 columns
  * bios: hdaaudio: use calloc() instead of malloc()
  * lib: fwts_tag: handle out of memory failure
  * bios: ebdadump: ensure source fits into 80 columns
  * bios: bios32: ensure source fits into 80 columns
  * lib: arg + framework: more robust out of memory handling.
  * lib: fwts_stringextras: handle out of memory failure
  * uefi: uefidump: fix infinite recursion on unknown end terminator (v2)
  * bios: memmapdump: ensure source fits into 80 columns
  * acpica: fwts_acpica_init(): handle out of memory failures
  * bios: mtrr: handle out of memory failures
  * hpet: hpet_check: make func args const where possible
  * hpet: hpet_check: ensure source fits into 80 columns
  * fwts-collect: fix typo
  * fwts-collect: tidy up error handling
  * fwts-collect: collect more fwts dumped data
  * read /proc/mtrr rather than use ioctl() interface

  [Keng-Yu Lin]
  * debian: use autoreconf instead of dh-autoreconf

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Fri, 09 Mar 2012 15:04:30 +0800

fwts (0.24.20) precise; urgency=low

  [Chris Van Hoof]
  * debian: update fwts-frontend.install to include
    fwts-frontend-text man page
  * doc: addition of fwts-frontend-text man page
  * src/Makefile: include fwts-frontend-text.1 to man_MANS

  [Keng-Yu Lin]
  * auto-packager: change the git location
  * auto-packager: add Precise release

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Thu, 09 Feb 2012 18:00:42 +0800

fwts (0.24.19) precise; urgency=low

  [Alex Hung]
  * dmi: dmi_decode: check type 3 chassis type with acpi preferred_pm_profile
  * dmi: dmi_decode: check acpi battery if type 22 is present.
  * pcie: aspm: use FWTS_ROOT_PRIV flag

  [Colin Ian King]
  * cpu: msr: GPF avoidance on BOCHs QEMU systems (LP: #925001)
 
 -- Keng-Yu Lin <kengyu@ubuntu.com>  Thu, 09 Feb 2012 13:52:50 +0800

fwts (0.24.18) precise; urgency=low

  [Alex Hung]
  * cpu:msr: fixed errors for checking SMRR MSR registers

  [Keng-Yu Lin]
  * Fix a typo error of "DSTD" 

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Mon, 06 Feb 2012 16:39:43 +0800

fwts (0.24.17) precise; urgency=low

  [Alex Hung]
  * pcie: aspm: add aspm option and detect if the
    "PCIe ASPM Controls" bit is set in FADT.

  [Colin Ian King]
  * Sanity check for MSR_IA32_ENERGY_PERF_BIAS messages.
  * Since aspm is a test, move it out of the fwts core library
  * Update copyright year

  [Keng-Yu Lin]
  * lib: add PCIe ASPM configuration check in the batch test
  * debian: use dh-autoreconf

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Tue, 31 Jan 2012 13:47:48 +0800

fwts (0.24.16) precise; urgency=low

  [Chris Van Hoof]
  * Renaming directory 'iso-image' to 'live-image' and
    'live-image/fwts_wrapper' to 'live-image/fwts-frontend-text'
  * Adding a default dialogrc configuration file to select the Ubuntu color
    palatte when fwts-frontend-text is executed
  * Adding a bit of conditional logic to fwts-frontend-text to better detect
    if executed in a live image and setting defaults which make the script
    easier to control
  * debian: adding fwts-frontend.install
  * debian: update control file to build the _optional_ fwts-frontend package

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Mon, 09 Jan 2012 11:08:06 +0100

fwts (0.24.15) precise; urgency=low

  * lib: fwts_acpi_find_rsdp_bios should only scan for RSDP on Intel/AMD
  * cpu: msr: disabled test for non-Intel/AMD architectures 

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Mon, 09 Jan 2012 10:17:46 +0100

fwts (0.24.14) precise; urgency=low

  * Add copy-acpica.sh script that updates the ACPI
  * data: klog: add _OSC evaluation failure tests
  * data: klog: add _CRS evaluation PNP kernel erro
  * uefi: csm: fix typo.

 -- Keng-Yu Lin <kengyu@canonical.com>  Wed, 16 Nov 2011 11:49:04 +0800

fwts (0.24.13) precise; urgency=low

  * acpi: power_button: remove check on /proc/acpi/button/power
  * lib: fwts_button: add power button support
  * acpi: lid: use button helper
  * lib: add generic button helper into lib
  * lib: add generic button helper

 -- Colin King <colin.king@canonical.com>  Tue, 9 Nov 2011 12:37:00 +0100

fwts (0.24.12) precise; urgency=low

  * debian: update control
  * uefi: add UEFI CSM check.

 -- Colin King <colin.king@canonical.com>  Tue, 9 Nov 2011 10:05:00 +0100

fwts (0.24.11) oneiric; urgency=low

  * lib: update battery helpers and re-work tests
  * acpi: s3power: use fwts_battery helper
  * lib: add fwts_battery
  * s3power: use fwts_ac_adapter()
  * acpi: ac_adapter: use fwts_ac_adapter lib
  * lib: add fwts_ac_adapter
  * acpi: ac_adapter: use newer /sys interface
  * acpi: method: clean up dangling whitespaces
  * acpi: method: handle mobile platform tests when FADT is lying
  * acpi: method: dump return object on non-null return failures.
  * acpi: method: make lock delay between each test 0 usecs


=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Colin King <colin.king@ubuntu.com>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7), libpcre3-dev (>= 7.8), libjson0-dev (>= 0.9), flex, bison
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7), autoconf, automake, libtool, libpcre3-dev (>= 7.8), libjson0-dev (>= 0.9), flex, bison
 
 Package: fwts
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils, dmidecode
+Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils 
+Suggests: dmidecode, net-tools, wireless-tools, bluez, xinput, pulseaudio-utils
 Description: FirmWare Test Suite
  This is a firmware test suite that performs sanity checks on Intel/AMD 
  PC firmware. It is intended to identify BIOS and ACPI errors and 
@@ -41,3 +42,12 @@
  This is the fwts core library. It contains a top level test framework
  and a rich range of firmware specific testing support code for the 
  various fwts tests.
+
+Package: fwts-frontend
+Architecture: all
+Priority: optional
+Depends: ${shlibs:Depends}, ${misc:Depends}, dialog
+Description: Firmware Test Suite frontend interface
+ This is a dialog based interface designed to provide an easy to use method
+ to execute tests via Firmware Test Suite and is also used as the primary 
+ interface within Firmware Test Suit live images.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	autoreconf
	dh_auto_configure

%:
	dh $@

## fwts 0.25.06precise1

=== debian/changelog ===
fwts (0.25.06precise1) precise-proposed; urgency=low

  * Stable Release Update for Precise (LP: #1033451)

  [Alex Hung]
  * acpi: method: Change _BBN's test_type from METHOD_MOBILE to METHOD_OPTIONAL

  [Colin Ian King]
  * acpi: acpidump: add extra ACPI 5.0 fields to FACP
  * acpi: acpidump: Add support for bit 20 and 21 of FADT flags
  * Update FADT preferred PM profile to add Tablet
  * dmi: dmi_decode: make advice more relevant to data handled by the kernel
  * Add mutex around semaphore counting (LP: #1017388)
  * acpi: method: remove race delay kludge
  * lib: acpi_acpi_tables: Add tables based on ACPI name and not file name.
  * lib: fwts_acpi_tables: Force fixup on XSDT and RSDT when loading from .dat
    files
  * lib: acpica: fix semaphore counting by waiting for threads to complete
  * acpica: incorporate new ACPICA sources to enable fwts to build
  * acpica: use latest ACPICA source
  * Update copy-acpica.sh to copy over new sources
  * Update README_ACPICA.txt to add in new acpica sources
  * acpi: acpidump + acpi headers: Add simple support for FPDT
  * acpi: acpidump + acpi headers: Add basic dump of RASF
  * acpi: acpidump: Add stub for MPST
  * acpi: acpidump: make arrays static
  * data: klog.json: make the _OSC failure advice more general and hand-wavy
  * cpu: cpufreq: cpufreq and cpuidle dirs confusing cpuN parsing
  * cpu: cpufreq: make progress estimate more accurate
  * cpu: cpufreq: tidy up table output
  * cpu: cpufreq: rename some global variables to make them more readable
  * cpu: cpufreq: various whitespace clean ups
  * cpu: cpufreq: tidy up memset usage
  * cpu: cpufreq: make HzToHuman() more efficient
  * cpu: cpufreq: add need to run as root
  * bios: mtrr: fix stupid typos
  * lib: fwts_klog: optimize regex scanning (LP: #1028031)

  [Keng-Yu Lin]
  * debian: Add hardening options

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Fri, 27 Jul 2012 17:22:07 +0800

fwts (0.25.05) quantal; urgency=low

  [Chris Van Hoof]
  * live-image/fwts-frontend-text: use mv versus ln as symbolic links are not
    supported on fat file systems

  [Colin Ian King]
  * dmi_decode: Add some more advice text
  * dmi_decode: Only be pedantic if we are sure about the board type
    (LP: #1021674)
  * dmi_decode: report chassis types with 0x prefix since they are in hex
  * lib: tidy up source, remove trailing whitespaces and empty lines
  * acpi: method: update table of implemented tests
  * acpi: method: add new _AEI check
  * acpi: method: Add stub for ACPI 5.0 _CPC
  * acpi: method: Add new ACPI 5.0 _PRE
  * acpi: method: Add new ACPI 5.0 _PSE check
  * acpi: acpidump: Add ACPI 5.0 GTDT support.
  * acpi: acpidump: Add ACPI 5.0 BGRT support.
  * lib: fwts_log_json: do more json object out of memory checking
  * acpi: acpidump: dump out ACPI UEFI tables
  * acpi: acpidump: Add SLIC table dump
  * acpi: acpidump: dump out the DMAR table
  * acpi: acpidump: dump out the ASF! table
  * acpi: acpidump: Add dump of TCPA
  * acpi: s4: hibernate/resume failures should be HIGH failures
  * acpi: s3: suspend/resume failures should be HIGH failures
  * Add empty m4 directory so autoreconf does not fail
  * Remove the autotool generated files
  * lib: fwts_hwinfo: sort device info before comparing (LP: #1018288)

  [Keng-Yu Lin]
  * Install the libraries in pkglib
  * debian: Add autoreconf parameters -ivf

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 11 Jul 2012 13:58:43 +0800

fwts (0.25.04) quantal; urgency=low

  [Colin Ian King]
  * apci: acpitables: only check CMOS in BOOT table from firmware tables
    (LP: #1016469)
  * lib: fwts_acpi_tables: add ACPI table provenance
  * lib: fwts_acpi_tables: load tables in deterministically
  * lib: fwts_log: handle special logfile names
  * lib: log: move line counting to logging back-ends
  * lib: fwts_log: remove fwts_log_line_number(), no longer used
  * lib: fwts_framework: output all logfile names being written to
  * lib: fwts_log: add fwts_log_get_filenames()
  * lib: fwts_summary: remove references to log line number

  [Keng-Yu Lin]
  * debian: Fix up the dependency of debian packages

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Mon, 25 Jun 2012 16:44:51 +0800

fwts (0.25.03) quantal; urgency=low

  [Chris Van Hoof]
  * live-image/fwts-frontend-text: conditional added to done_tests_finish()
    which creates a symbolic link to the latest results.html at the top level
    WORK_DIR
  * live-image/fwts-frontend-text: adding support for both plaintext and html
    log out by default with --log-type

  [Colin Ian King]
  * apci: checksum: RSDT and XSDT checksum failures should not be critical
    (LP: #1013168)
  * lib: fwts_log_html: convert misc ASCII chars to HTML mnemonics
  * lib: fwts_framework: handle --log-type parse errors
  * lib: fwts_summary: handle the log_type now that it is a bit map
  * lib: rework logging and framework to allow for multiple output logs
  * lib: fwts_framework: handle nested log section endings on ABORT
  * lib: fwts_log_html: remove timestamp as it is in the heading anyhow
  * Update README
  * lib: fwts_acpi_tables: fake table start address when loading from file.
  * lib: fwts_framework: set log name suffix when using --log-type option
  * lib: fwts_summary: HTML summary should not be in verbatum
  * lib: fwts_log_html: tweak style and table format
  * lib: fwts_memorymap: output should be in verbatum style
  * bios: mtrr: make MTRR overview all verbatum style, looks better on HTML log
  * lib: add HTML logging backend
  * lib: fwts_framework: log advice as LOG_ADVICE and not LOG_RESULT
  * lib: fwts_framework: remove fwts_framework_results, remove redundant code
  * lib: fwts_log: add extra log types and upper case flavour of
    fwts_log_field_to_str_full()
  * lib: fwts_framework: drop unneccessary \n in log call
  * lib: add xml logging
  * lib: fwts_acpi_method: remove leading 0x in front of dumped strings
  * bios: mtrr: strip off trailing newlines
  * bios: bios_info: strip off trailing newlines


=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: fwts
 Section: devel
 Priority: optional
-Maintainer: Colin King <colin.king@ubuntu.com>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7), autoconf, automake, libtool, libpcre3-dev (>= 7.8), libjson0-dev (>= 0.9), flex, bison
+Maintainer: Firmware Testing Team <firmware-testing-team@lists.launchpad.net>
+Uploaders: Colin King <colin.king@ubuntu.com>, Keng-Yu Lin <kengyu@ubuntu.com>, Alex Hung <alex.hung@canonical.com>, Chris Van Hoof <vanhoof@canonical.com>, Ivan Hu <ivan.hu@canonical.com>
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~), autoconf, automake, libtool, libpcre3-dev (>= 7.8), libjson0-dev (>= 0.9), flex, bison, hardening-wrapper
 
 Package: fwts
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils 
+Depends: libfwtsiasl1 (= ${binary:Version}), libfwtsacpica1 (= ${binary:Version}), libfwts1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, pciutils
 Suggests: dmidecode, net-tools, wireless-tools, bluez, xinput, pulseaudio-utils
 Description: FirmWare Test Suite
  This is a firmware test suite that performs sanity checks on Intel/AMD 
@@ -46,7 +47,7 @@
 Package: fwts-frontend
 Architecture: all
 Priority: optional
-Depends: ${shlibs:Depends}, ${misc:Depends}, dialog
+Depends: ${shlibs:Depends}, ${misc:Depends}, dialog, fwts
 Description: Firmware Test Suite frontend interface
  This is a dialog based interface designed to provide an easy to use method
  to execute tests via Firmware Test Suite and is also used as the primary

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

override_dh_auto_configure:
	autoreconf -ivf
	dh_auto_configure

%:
	dh $@

## fwts 0.26.00

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

%:
	dh $@ --with autoreconf

## fwts 0.26.04

=== debian/changelog ===
fwts (0.26.04-0ubuntu1) raring; urgency=low

  [Colin Ian King]
  * lib: fwts_list: make list creation and initialisation more optimal.
  * lib: cpu: add common CPU performance measuring code to fwts library
  * lib: Makefile: Link in math library because we need sqrt()
  * acpi: cstates: use new fwts_cpu_performance() helper function
  * cpu: cpufreq: Use new fwts_cpu_performance() helper function
  * bios: pciirq: make table dump more compact, fix formatting
  * acpi: method: ignore _WAK return values
  * acpi: method: don't bother dumping _WAK package, it's just noise
  * acpi: cstates: cater for different kernel C-state info
  * acpi: method: don't bother reporting internal ACPI lock success
  * acpi: method: dump out _PSS states in a tabular format
  * apci: method: don't bother dumping out the _BST contents
  * apci: method: don't bother dumping out the _BIF contents
  * apci: method: don't bother dumping out the _BIX contents
  * apci: method: don't bother dumping out the _DOD contents
  * cmos: cmosdump: add in some previously unknown RTC settings
  * README: Updated for latest version of fwts. Add more info too.
  * README_SOURCE: Reformat to make it 80 char width friendly, minor changes.
  * src: lib: Makefile.am: Minor tidy up of the makefile.
  * src: acpica: Makefile: Slight tidy up of the makefile.
  * src/Makefile.am: Tidy up fwts main makefile, re-order tests
  * lib: fwts_apci_method: rename object evaluation functions
  * acpi: pcc: renaming of ACPI object evaluation function names
  * acpi: method: renaming of ACPI object evaluation function names
  * lib: rename fwts_acpi_method to fwts_acpi_object_eval
  * lib: fwts_ac_adapter: constify some struct fields and variables
  * lib: fwts_guid: constify guid_str_len and guid_len parameters
  * lib: fwts_framework: test names should be dislayed in a wider format field
  * data: klog: Remove a duplicate timer BIOS bug check
  * data: klog.json: Add more specfic parse/execution failure checks on
    timeouts
  * data: klog.json: move the most generic parse/execition failure message down
  * acpi: acpidump: use offsetof macro from stddef.h rather than define our own
  * acpi: pcc: fix some stupid typos
  * hpet: hpetcheck: add ACPI HPET table check
  * lib: update copyright year to 2013
  * tests: update copyright year to 2013
  * misc: update copyright year to 2013
  * lib + tests: don't stringify the test name in FWTS_REGISTER
  * lib: fwts_framework: assert on FWTS_REGISTER names being too long
  * lib: framework: log the fwts command line for reference.
  * acpi: acpidump: fix ACPI FPDT dump
  * cpu: cpufreq: fix a bunch of 32 bit build errors
  * lib: fwts_acpi_tables: speed up table loading on 64 bit systems
  * acpica: fwts_acpica: optimise semaphore tracking
  * acpica + acpi: method test: remove fwts_acpica_simulate_sem_timeout()
  * acpica: fwts_acpica: force indefinite AML Wait() to timeout
  * acpi: method: Add better _CRS resource checking
  * data: klog.json: fix spelling mistake
  * data: klog.json: fix spelling mistake

  [Ivan Hu]
  * uefirtvariable: add more specific passed messages for each sub-tests
  * uefirtvariable: add the function to print out the return status messages
  * uefirttime: print out the return status and description when errors occur
  * uefirttime: unload the efi_runtime module when deinit the test
  * uefirtvariable: remove the invalid attribute tests after
    ExitBootServices() is performed
  * uefirtvariable: add function test for SetVariable with invalid attributes
  * fwts_uefi:uefirtvariable:use sizeof() for defining long integer for fixing
    build failure on 32 bit systems
  * uefirtvariable: restore the environment when errors occur after the test
    variables have been set
  * uefirtvariable: add new test for UEFI runtime QueryVariableInfo
  * uefirtvariable: add stress test for UEFI runtime interface GetVariable
  * uefirtvariable: add stress test for UEFI runtime interface
    GetNextVariableName
  * uefirtvariable: add stress test for UEFI runtime interface SetVariable with
    the same data
  * uefirtvariable: add stress test for UEFI runtime interface SetVariable with
    different data
  * uefirtvariable: add stress test for UEFI runtime interface SetVariable with
    different name
  * uefirtvariable: add stress test for UEFI runtime interface SetVariable with
    different name and data
  * uefirtvariable: skip the tests when get the EFI_OUT_OF_RESOURCES from
    firmware
  * uefirtvariable: add stress test for the UEFI runtime QueryVariableInfo
    interface
  * uefirtmisc: add the test for UEFI runtime GetNextHighMonotonicCount
    interface
  * uefirtmisc: add stress test for UEFI runtime GetNextHighMonotonicCount
    interface

  [Keng-Yu Lin]
  * uefi: uefirtvariable: use sizeof() for finding the bit size of long integer
  * debian: change the mail address of the maintainer
  * auto-packager: mkpackage.sh: Add raring

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Thu, 17 Jan 2013 14:01:06 +0800

fwts (0.26.03-1) raring; urgency=low

  [Colin Ian King]
  * data: klog.json: fix up and correct a few miscellaneous klog items
  * data: klog.json: promote EC error so it gets caught before generic handler
  * kernel: version: make test infoonly rather than pass/fail tests
  * cpu: cpufreq: spell Ghz as GHz and Mhz and MHz
  * cpu: cpufreq: Make this test no longer experimental.
  * lib: fwts_pipeio: fwts_pipe_exec() should return FWTS_ERROR instead of -1
  * lib + tests: modify fwts_pipe_exec to return the child exit status
  * acpi: apicinstance: make this an Intel x86 only test
  * acpi: method: handle ACPI failures a little more gracefully
  * apci: aspm: clean up messages
  * acpi: acpidump: print a message if no ACPI tables could be found.
  * lib: fwts_dump_data: tidy up code, ensure we limit nbytes to 16
  * data: klog.json: Add next 20 or so ACPI_ERROR messages
  * utilities: kernelscan: Add check for ACPI_ERROR_METHOD kernel errors


## fwts 0.26.05

=== debian/changelog ===
fwts (0.26.05-0ubuntu1) raring; urgency=low

  [Colin Ian King]
  * lib: fwts_uefi: fix build error when using gcc 4.6.3
  * lib: fwts_uefi: fix a couple of spelling mistakes that crept in
  * doc/fwts: remove debug options from fwts man page (LP: #1100955)
  * data: klog.json: add better advice for a common firmware issue
  * acpi: method: format _TSS states into a table
  * acpi: method: Show the name of the _PSS control
  * acpi: method: implement _CST sanity checks
  * acpi: method: refactor some of the passed messages
  * acpi: method: tidy up passed/failure messages
  * apci: method: update comments on implemented tests
  * acpi: method: use a helper function for MethodReturnNullObj errors
  * data: klog.json: Make PnP BIOS message into an info message
  * data: klog.json: Handle SystemIO conflict messages
  * acpi: method: Add simple _FIX test
  * acpi: method: Add _HPP (Hot Plug Parameters) sanity check
  * lib: framework: Increase precision of progress, add a spinner progress
    indicator
  * acpi: method: Add _INI (Init) sanity check
  * acpi: method: _CST test checks for wrong number of package elements
  * acpi: method: Add _PRS return buffer sanity checking.
  * acpi: method: update comments describing objects/controls
  * acpi: method: Add helpers to check for package sizes
  * lib: fwts_list: optimize list functions a little, make small helper funcs
    inline
  * acpi: method: fix some tests that don't indicate passed when they are
    complete
  * acpi: method: tidy up some more tests
  * acpi: method: add helper to check for package contents, simplify code.
  * lib: fwts_ioport: add helper functions to do port I/O
  * acpi: fadt: use new I/O port helpers to avoid segfaults
  * lib: fwts_cmos: Use new I/O helpers, add more error checking
  * hpet: hpetcheck: fix a bug found by smatch
  * apci: apicinstance: clean up smatch warning
  * script: smatchify.sh: build fwts and check with smatch
  * kernel: version: gather kernel boot command line
  * acpi: crsdump: dump ACPI _CRS buffers in an annotated form

  [Ivan Hu]
  * data: klog.json: Make FADT truncated warning into info message
  * efi_runtime: add UEFI runtime service QueryCapsuleCapabilities interface
  * uefirtmisc: add UEFI runtime service QueryCapsuleCapabilities interface
    test.
  * efirtmisc: add UEFI runtime service QueryCapsuleCapabilities interface
    stress test

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Mon, 04 Feb 2013 15:25:56 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: fwts
 Section: devel
 Priority: optional
-Maintainer: Firmware Testing Team <firmware-testing-team@lists.launchpad.net>
+Maintainer: Firmware Testing Team <fwts-devel@lists.ubuntu.com>
 Uploaders: Colin King <colin.king@ubuntu.com>, Keng-Yu Lin <kengyu@ubuntu.com>, Alex Hung <alex.hung@canonical.com>, Chris Van Hoof <vanhoof@canonical.com>, Ivan Hu <ivan.hu@canonical.com>
 Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7.0.50~), autoconf, automake, libtool, libpcre3-dev (>= 7.8), libjson0-dev (>= 0.9), flex, bison, hardening-wrapper
+Build-Depends: debhelper (>= 7.0.50~), autoconf, automake, libtool, libpcre3-dev (>= 7.8), libjson0-dev (>= 0.9), flex, bison, hardening-wrapper, dh-autoreconf, dkms
 
 Package: fwts
 Architecture: any
@@ -52,3 +52,11 @@
  This is a dialog based interface designed to provide an easy to use method
  to execute tests via Firmware Test Suite and is also used as the primary 
  interface within Firmware Test Suit live images.
+
+Package: fwts-efi-runtime-dkms
+Architecture: amd64
+Priority: optional
+Depends: ${shlibs:Depends}, ${misc:Depends}, dkms, linux-headers-generic | linux-headers
+Description: Firmware Test Suite UEFI Runtime Service kernel driver
+ This package provides the efi_runtime kernel driver in DKMS format,
+ which is required for accessing UEFI Runtime Services.

## fwts 0.26.08

=== Makefile ===
obj-m += efi_runtime.o
all:
	make -C /lib/modules/`uname -r`/build M=`pwd` modules

install:
	make -C /lib/modules/`uname -r`/build M=`pwd` modules_install

clean:
	make -C /lib/modules/`uname -r`/build M=`pwd` clean
